Home
last modified time | relevance | path

Searched refs:expect (Results 1 – 25 of 297) sorted by relevance

12345678910>>...12

/linux/tools/testing/selftests/net/netfilter/
H A Dnft_nat.sh65 local expect=$3
68 echo "ERROR: $counter counter in $ns has unexpected value (expected $expect) at $tag" 1>&2
87 expect="packets 1 bytes 104"
88 if ! ip netns exec "$ns" nft list counter inet filter ns0in6 | grep -q "$expect";then
89 bad_counter "$ns" ns0in6 "$expect" "check_counters 3"
92 if ! ip netns exec "$ns" nft list counter inet filter ns0out6 | grep -q "$expect";then
93 bad_counter "$ns" ns0out6 "$expect" "check_counters 4"
125 expect="packets 1 bytes 84"
126 if ! ip netns exec "$ns0" nft list counter inet filter "${ns}${dir}" | grep -q "$expect";then
127 bad_counter "$ns0" "$ns${dir}" "$expect" "check_ns0_counters 4"
[all …]
H A Dconntrack_icmp_related.sh49 expect=$3
52 if ! ip netns exec "$ns" nft list counter inet filter "$name" | grep -q "$expect"; then
53 echo "ERROR: counter $name in $ns has unexpected value (expected $expect)" 1>&2
63 expect="packets 0 bytes 0"
65 if ! check_counter "$n" "unknown" "$expect"; then
205 expect="packets 0 bytes 0"
207 if ! check_counter "$netns" "related" "$expect"; then
212 expect="packets 2 bytes 2076"
213 if ! check_counter "$nsclient2" "new" "$expect"; then
224 expect="packets 0 bytes 0"
[all …]
/linux/mm/kfence/
H A Dkfence_test.c81 /* Information we expect in a report. */
100 typeof(observed.lines) expect; in report_matches() local
111 cur = expect[0]; in report_matches()
112 end = &expect[0][sizeof(expect[0]) - 1]; in report_matches()
136 cur = strchr(expect[0], '+'); in report_matches()
141 cur = expect[1]; in report_matches()
142 end = &expect[1][sizeof(expect[1]) - 1]; in report_matches()
172 ret = strstr(observed.lines[0], expect[ in report_matches()
321 struct expect_report expect = { test_out_of_bounds_read() local
355 struct expect_report expect = { test_out_of_bounds_write() local
373 struct expect_report expect = { test_use_after_free_read() local
389 struct expect_report expect = { test_double_free() local
404 struct expect_report expect = { test_invalid_addr_free() local
421 struct expect_report expect = { test_corruption() local
458 struct expect_report expect = { test_kmalloc_aligned_oob_read() local
492 struct expect_report expect = { test_kmalloc_aligned_oob_write() local
557 struct expect_report expect = { test_init_on_free() local
644 const struct expect_report expect = { test_invalid_access() local
659 struct expect_report expect = { test_memcache_typesafe_by_rcu() local
695 const struct expect_report expect = { test_krealloc() local
[all...]
/linux/mm/kmsan/
H A Dkmsan_test.c81 /* Information we expect in a report. */
167 EXPECTATION_UNINIT_VALUE(expect); in test_uninit_kmalloc()
173 KUNIT_EXPECT_TRUE(test, report_matches(&expect)); in test_uninit_kmalloc()
181 EXPECTATION_NO_REPORT(expect); in test_init_kmalloc()
188 KUNIT_EXPECT_TRUE(test, report_matches(&expect)); in test_init_kmalloc()
194 EXPECTATION_NO_REPORT(expect); in test_init_kzalloc()
200 KUNIT_EXPECT_TRUE(test, report_matches(&expect)); in test_init_kzalloc()
206 EXPECTATION_UNINIT_VALUE(expect); in test_uninit_stack_var()
211 KUNIT_EXPECT_TRUE(test, report_matches(&expect)); in test_uninit_stack_var()
217 EXPECTATION_NO_REPORT(expect); in test_init_stack_var()
[all...]
/linux/tools/testing/selftests/lkdtm/
H A Drun.sh43 expect=$(echo "$line" | cut -d" " -f2-)
45 expect=""
51 if [ -z "$expect" ]; then
52 expect="crashes entire system"
54 echo "Skipping $test: $expect"
60 if [ -z "$expect" ]; then
61 expect="call trace:"
63 if echo "$expect" | grep -q '^repeat:' ; then
64 repeat=$(echo "$expect" | cut -d' ' -f1 | cut -d: -f2)
65 expect=$(echo "$expect" | cut -d' ' -f2-)
[all …]
/linux/tools/testing/selftests/net/forwarding/
H A Dmirror_lib.sh37 local expect=$1; shift
47 if [[ -z ${expect//[[:digit:]]/} ]]; then
48 expect="== $expect"
57 ((delta $expect))
58 check_err $? "Expected to capture $expect packets, got $delta."
63 local expect=$1; shift
71 mirror_test v$h1 $ip1 $ip2 $dev 100 $expect
75 mirror_test v$h2 $ip2 $ip1 $dev 100 $expect
123 local expect=$1; shift
134 mirror_test v$h1 $ip1 $ip2 $dev 100 "$expect"
[all …]
/linux/tools/testing/selftests/rseq/
H A Drseq-arm64-bits.h15 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
29 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
33 RSEQ_ASM_OP_CMPEQ(v, expect, %l[error2]) in RSEQ_TEMPLATE_IDENTIFIER()
43 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
181 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
198 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
204 RSEQ_ASM_OP_CMPEQ(v, expect, %l[error2]) in RSEQ_TEMPLATE_IDENTIFIER()
215 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
255 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
271 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
[all …]
H A Drseq-riscv-bits.h9 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
22 RSEQ_ASM_OP_CMPEQ(v, expect, "%l[cmpfail]") in RSEQ_TEMPLATE_IDENTIFIER()
26 RSEQ_ASM_OP_CMPEQ(v, expect, "%l[error2]") in RSEQ_TEMPLATE_IDENTIFIER()
36 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
163 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
179 RSEQ_ASM_OP_CMPEQ(v, expect, "%l[cmpfail]") in RSEQ_TEMPLATE_IDENTIFIER()
185 RSEQ_ASM_OP_CMPEQ(v, expect, "%l[error2]") in RSEQ_TEMPLATE_IDENTIFIER()
196 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
281 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
296 RSEQ_ASM_OP_CMPEQ(v, expect, "%l[cmpfail]") in RSEQ_TEMPLATE_IDENTIFIER()
[all …]
H A Drseq-ppc-bits.h15 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
32 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
38 RSEQ_ASM_OP_CMPEQ(v, expect, %l[error2]) in RSEQ_TEMPLATE_IDENTIFIER()
49 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
207 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
227 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
236 RSEQ_ASM_OP_CMPEQ(v, expect, %l[error2]) in RSEQ_TEMPLATE_IDENTIFIER()
253 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
292 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
311 RSEQ_ASM_OP_CMPEQ(v, expect, %l[cmpfail]) in RSEQ_TEMPLATE_IDENTIFIER()
[all …]
H A Drseq.h235 intptr_t *v, intptr_t expect, in rseq_cmpeqv_storev() argument
242 return rseq_cmpeqv_storev_relaxed_cpu_id(v, expect, newv, cpu); in rseq_cmpeqv_storev()
244 return rseq_cmpeqv_storev_relaxed_mm_cid(v, expect, newv, cpu); in rseq_cmpeqv_storev()
307 intptr_t *v, intptr_t expect, in rseq_cmpeqv_trystorev_storev() argument
315 return rseq_cmpeqv_trystorev_storev_relaxed_cpu_id(v, expect, v2, newv2, newv, cpu); in rseq_cmpeqv_trystorev_storev()
317 return rseq_cmpeqv_trystorev_storev_relaxed_mm_cid(v, expect, v2, newv2, newv, cpu); in rseq_cmpeqv_trystorev_storev()
323 return rseq_cmpeqv_trystorev_storev_release_cpu_id(v, expect, v2, newv2, newv, cpu); in rseq_cmpeqv_trystorev_storev()
325 return rseq_cmpeqv_trystorev_storev_release_mm_cid(v, expect, v2, newv2, newv, cpu); in rseq_cmpeqv_trystorev_storev()
335 intptr_t *v, intptr_t expect, in rseq_cmpeqv_cmpeqv_storev() argument
343 return rseq_cmpeqv_cmpeqv_storev_relaxed_cpu_id(v, expect, v2, expect2, newv, cpu); in rseq_cmpeqv_cmpeqv_storev()
[all …]
H A Drseq-x86-bits.h16 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
48 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
255 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
299 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
337 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
378 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
407 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trymemcpy_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
484 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
528 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
560 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
[all …]
H A Drseq-arm-bits.h14 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
51 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
207 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
258 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
297 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
346 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
377 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trymemcpy_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
466 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
H A Drseq-mips-bits.h14 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
49 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
190 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
237 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
270 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
317 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
342 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trymemcpy_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
428 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
H A Drseq-s390-bits.h9 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_storev)(intptr_t *v, intptr_t expect, intptr_t newv, int c… in RSEQ_TEMPLATE_IDENTIFIER()
42 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
199 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_cmpeqv_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
244 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
284 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trystorev_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
326 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
357 int RSEQ_TEMPLATE_IDENTIFIER(rseq_cmpeqv_trymemcpy_storev)(intptr_t *v, intptr_t expect, in RSEQ_TEMPLATE_IDENTIFIER()
435 [expect] "r" (expect), in RSEQ_TEMPLATE_IDENTIFIER()
H A Drseq-riscv.h100 #define RSEQ_ASM_OP_CMPEQ(var, expect, label) \ argument
102 "bne " RSEQ_ASM_TMP_REG_1 ", %[" __rseq_str(expect) "] ," \
105 #define RSEQ_ASM_OP_CMPEQ32(var, expect, label) \ argument
107 "bne " RSEQ_ASM_TMP_REG_1 ", %[" __rseq_str(expect) "] ," \
110 #define RSEQ_ASM_OP_CMPNE(var, expect, label) \ argument
112 "beq " RSEQ_ASM_TMP_REG_1 ", %[" __rseq_str(expect) "] ," \
H A Drseq-arm64.h154 #define RSEQ_ASM_OP_CMPEQ(var, expect, label) \ argument
157 ", %[" __rseq_str(expect) "]\n" \
160 #define RSEQ_ASM_OP_CMPEQ32(var, expect, label) \ argument
163 ", %w[" __rseq_str(expect) "]\n" \
166 #define RSEQ_ASM_OP_CMPNE(var, expect, label) \ argument
169 ", %[" __rseq_str(expect) "]\n" \
/linux/net/netfilter/
H A Dnf_conntrack_expect.c431 static inline int __nf_ct_expect_check(struct nf_conntrack_expect *expect, in __nf_ct_expect_check() argument
437 struct nf_conn *master = expect->master; in __nf_ct_expect_check()
440 struct net *net = nf_ct_exp_net(expect); in __nf_ct_expect_check()
449 h = nf_ct_expect_dst_hash(net, &expect->tuple); in __nf_ct_expect_check()
451 if (master_matches(i, expect, flags) && in __nf_ct_expect_check()
452 expect_matches(i, expect)) { in __nf_ct_expect_check()
453 if (i->class != expect->class || in __nf_ct_expect_check()
454 i->master != expect->master) in __nf_ct_expect_check()
459 } else if (expect_clash(i, expect)) { in __nf_ct_expect_check()
468 p = &helper->expect_policy[expect->class]; in __nf_ct_expect_check()
[all …]
/linux/kernel/kcsan/
H A Dkcsan_test.c162 typeof(*observed.lines) *expect; in __report_matches() local
171 expect = kmalloc(sizeof(observed.lines), GFP_KERNEL); in __report_matches()
172 if (WARN_ON(!expect)) in __report_matches()
178 cur = expect[0]; in __report_matches()
179 end = &expect[0][sizeof(expect[0]) - 1]; in __report_matches()
196 cur = strchr(expect[0], '+'); in __report_matches()
202 cur = expect[1]; in __report_matches()
203 end = &expect[1][sizeof(expect[1]) - 1]; in __report_matches()
229 cur = expect[2]; in __report_matches()
230 end = &expect[2][sizeof(expect[2]) - 1]; in __report_matches()
[all …]
/linux/net/mac80211/tests/
H A Dtpe.c31 int expect; member
39 .expect = 0,
47 .expect = 0,
57 .expect = 0,
65 .expect = 0,
73 .expect = 0,
81 .expect = 8,
89 .expect = 8 + 4 + 2,
99 .expect = 0,
109 .expect = 4,
[all …]
/linux/tools/testing/selftests/kvm/x86_64/
H A Dhyperv_features.c33 uint64_t expect; member
111 GUEST_ASSERT_EQ(res, hcall->expect); in guest_hcall()
555 hcall->expect = HV_STATUS_INVALID_HYPERCALL_CODE; in guest_test_hcalls_access()
560 hcall->expect = HV_STATUS_ACCESS_DENIED; in guest_test_hcalls_access()
565 hcall->expect = HV_STATUS_INVALID_HYPERCALL_INPUT; in guest_test_hcalls_access()
570 hcall->expect = HV_STATUS_ACCESS_DENIED; in guest_test_hcalls_access()
575 hcall->expect = HV_STATUS_INVALID_HYPERCALL_INPUT; in guest_test_hcalls_access()
580 hcall->expect = HV_STATUS_INVALID_HYPERCALL_CODE; in guest_test_hcalls_access()
585 hcall->expect = HV_STATUS_ACCESS_DENIED; in guest_test_hcalls_access()
590 hcall->expect = HV_STATUS_OPERATION_DENIED; in guest_test_hcalls_access()
[all …]
/linux/tools/testing/selftests/net/
H A Dsocket.c20 int expect; member
55 if (s->expect < 0 && in run_tests()
56 errno == -s->expect) in run_tests()
59 strerror_r(-s->expect, err_string1, ERR_STRING_SZ); in run_tests()
72 if (s->expect < 0) { in run_tests()
/linux/kernel/trace/
H A Dtrace_branch.c31 probe_likely_condition(struct ftrace_likely_data *f, int val, int expect) in probe_likely_condition() argument
80 entry->correct = val == expect; in probe_likely_condition()
90 void trace_likely_condition(struct ftrace_likely_data *f, int val, int expect) in trace_likely_condition() argument
95 probe_likely_condition(f, val, expect); in trace_likely_condition()
196 void trace_likely_condition(struct ftrace_likely_data *f, int val, int expect) in trace_likely_condition() argument
202 int expect, int is_constant) in ftrace_likely_update() argument
209 val = expect; in ftrace_likely_update()
217 trace_likely_condition(f, val, expect); in ftrace_likely_update()
220 if (val == expect) in ftrace_likely_update()
/linux/arch/x86/kernel/
H A Djump_label.c38 const void *expect, *code, *nop; in __jump_label_patch() local
61 expect = nop; in __jump_label_patch()
63 expect = code; in __jump_label_patch()
65 if (memcmp(addr, expect, size)) { in __jump_label_patch()
72 addr, addr, addr, expect, size, type); in __jump_label_patch()
/linux/tools/testing/selftests/drivers/net/mlxsw/
H A Dqos_headroom.sh67 local expect=$1; shift
70 test "$current" = "$expect"
71 check_err $? "prio2buffer is '$current', expected '$expect'"
76 local expect=$1; shift
79 test "$current" = "$expect"
80 check_err $? "prio PFC is '$current', expected '$expect'"
85 local expect=$1; shift
88 test "$current" = "$expect"
89 check_err $? "prio_tc is '$current', expected '$expect'"
/linux/drivers/block/drbd/
H A Ddrbd_bitmap.c451 if (!expect(device, device->bitmap)) in drbd_bm_capacity()
460 if (!expect(device, device->bitmap)) in drbd_bm_cleanup()
639 if (!expect(device, b)) in drbd_bm_resize()
760 if (!expect(device, b)) in _drbd_bm_total_weight()
762 if (!expect(device, b->bm_pages)) in _drbd_bm_total_weight()
786 if (!expect(device, b)) in drbd_bm_words()
788 if (!expect(device, b->bm_pages)) in drbd_bm_words()
797 if (!expect(device, b)) in drbd_bm_bits()
819 if (!expect(device, b)) in drbd_bm_merge_lel()
821 if (!expect(device, b->bm_pages)) in drbd_bm_merge_lel()
[all …]

12345678910>>...12